.\" $NetBSD: iwm.4,v 1.8 2002/01/15 01:47:22 wiz Exp $
.\"	$Id: iwm.4,v 1.9 2009/03/15 11:34:53 joerg Exp $
.\"
.\" Copyright (c) 1997, 1998 Hauke Fath.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 6, 1998
.Dt IWM 4 mac68k
.Os
.Sh NAME
.Nm iwm ,
.Nm fd
.Nd floppy disk driver for IWM and non-DMA SWIM controllers
.Sh SYNOPSIS
.Cd "iwm0 at obio?"
.Cd "fd* at iwm0 drive ?"
.Sh DESCRIPTION
The
.Nm
driver interfaces to the built-in and external floppy disk drives on the
Macintosh. It supports double-density media, written in
Apple's proprietary GCR format. Currently, there is no disklabel
support for the floppy drives. Instead, the
.Nm
driver sets up a fake in-core disklabel, using the minor device
number to select from the supported disk formats.
.Pp
The following formats are supported:
.Bl -column Partition Size sides tracks sectors/track
.It Sy Partition Ta Sy Size Ta Sy sides Ta Sy tracks Ta Sy sectors/track
.It a Ta 800Kb Ta 2 Ta 80 Ta 10 (default)
.It b Ta 400Kb Ta 1 Ta 80 Ta 10
.It c Ta 800Kb Ta 2 Ta 80 Ta 10
.El
.Pp
(The above table describes the logical mapping as implemented by the
driver; the physical layout of GCR floppies has 8..12 sectors per track.)
.Sh FORMATTING
The
.Nm
driver does currently not support floppy disk formatting.
.Sh SEE ALSO
Apple Computer, Inc.: "Inside Macintosh", Vol III-33f. (Addison-Wesley)
.Pp
Apple Computer, Inc.: "New Technical Notes DV 17 - Sony Driver"
.Pp
Neil Parker: "iwmstuff"
.Pp
.Xr eject 1
.Sh HISTORY
The
.Nm
interface first appeared in
.Nx 1.4 .
.Sh AUTHORS
Hauke Fath put together the beginnings of the
.Nm
driver in 1996 from the sparse documentation in "Inside Macintosh",
Neil Parker's "iwmstuff" documentation for the Apple IIgs and a long,
hard look at the .Sony driver.
.Sh BUGS
The FFS code is incapable of dealing with a varying number of
sectors per track. We have to fake a mapping and so lose FFS support
for hardware parameters like transition times.
.Pp
The driver only supports an obsolete format.
